@ECHO off
REM
REM    Licensed Materials - Property of IBM
REM
REM    "Restricted Materials of IBM"
REM
REM    5724-U38, 5724-U39, 5724-U48
REM
REM     Copyright IBM Corp. 2018 All Rights Reserved
REM
REM     Copyright 2018 UNICOM Systems, Inc. - All Rights Reserved
REM
REM    US Government Users Restricted Rights - Use, duplication or
REM    disclosure restricted by GSA ADP Schedule Contract with
REM    IBM Corp.
REM
REM Syntax:
REM CopyRTFiles source_rt_dir target_rt_dir
REM
REM Copies known Optim files from a source rt/bin directory to a
REM target rt/bin directory.

SET _OPTS=/D /k /c /y
IF "%1." == "." (
   ECHO A source rt directory is required.
   exit /b 1
)
IF "%2." == "." (
   ECHO A target rt directory is required.
   exit /b 1
)
IF NOT EXIST "%1" (
   ECHO The source rt directory %1 does not exist.
   exit /b 1
)
IF NOT EXIST "%2" (
   ECHO The target rt directory %2 does not exist.
   exit /b 1
)
REM Copy any license files 
xcopy "%1\bin\*.lic" "%2\bin\" %_OPTS%

REM Copy any product options file 
xcopy "%1\bin\*.cfg" "%2\bin\" %_OPTS%

REM Copy any Archive files
xcopy "%1\bin\*.af" "%2\bin\" %_OPTS%
